/*
 * codec.h
 *
 *  Created on: 28th Dec 2010
 *      Author: bob
 */

#ifndef CODEC_H_
#define CODEC_H_

#define false 0
#define true 1

#include <malloc.h>
#include "speex.h"
#include "speex_resampler.h"
#include "speex_stereo.h"


// Prototypes
// PUBLIC
int lib_speex_init();
int lib_speex_term();
int lib_speex_get_frame_sz();
int lib_speex_encode(short *samples, char*encoded_bytes);

// PRIVATE
SpeexBits bits;
void* enc_state;
char* byte_ptr = NULL;
SpeexResamplerState *resampler;

#endif /* CODEC_H_ */

